Bug 1305333 - Review Request: R-highlight - R Syntax Highlighter
Review Request: R-highlight - R Syntax Highlighter
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mukundan Ragavan
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 1305335
  Show dependency treegraph
 
Reported: 2016-02-07 04:51 EST by Mattias Ellert
Modified: 2016-03-14 15:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-12 14:58:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
nonamedotc: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Mattias Ellert 2016-02-07 04:51:01 EST
Spec URL: http://www.grid.tsl.uu.se/review/R-highlight.spec
SRPM URL: http://www.grid.tsl.uu.se/review/R-highlight-0.4.7-1.fc24.src.rpm

Description:
Syntax highlighter for R code based on the results of the R parser.
Rendering in HTML and latex markup. Custom Sweave driver performing
syntax highlighting of R code chunks.

Fedora Account System Username: ellert
Comment 1 Mukundan Ragavan 2016-02-11 19:03:08 EST
Full review below -



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines


---> Can install manually without problems.

- Package have the default element marked as %%doc :DESCRIPTION, NEWS

---> Same issue as in bug #1305334. No issues here.

- Package requires R-core.

---> This is present. Arch specific entry.

- Package contains the mandatory BuildRequires.
  Note: Missing BuildRequires on R-devel, tex(latex)
  See: http://fedoraproject.org/wiki/Packaging:R

---> R-core-devel is in BR. This is fine.


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.

---> looks fine.


[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* GPL (v3 or later)", "LGPL (v3 or later)", "GPL
     (v3 or later)", "Unknown or generated". 14 files have unknown license.
     Detailed output of licensecheck in
     /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1305333-R-highlight/licensecheck.txt

---> I don't see any issues in the files listed in licensecheck.


[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

R:
[x]: The package has the standard %install section.

===== SHOULD items =====

Generic:
[!]: Sources can be downloaded from URI in Source: tag
     Note: Could not download Source0:
     ftp://cran.r-project.org/pub/R/contrib/main/highlight_0.4.7.tar.gz
     See: http://fedoraproject.org/wiki/Packaging:Guidelines#Tags

---> Local issue. This can be downloaded no issues.

$ wget ftp://cran.r-project.org/pub/R/contrib/main/highlight_0.4.7.tar.gz
--2016-02-12 00:01:53--  ftp://cran.r-project.org/pub/R/contrib/main/highlight_0.4.7.tar.gz
           => ‘highlight_0.4.7.tar.gz’
Resolving cran.r-project.org (cran.r-project.org)... 137.208.57.37
Connecting to cran.r-project.org (cran.r-project.org)|137.208.57.37|:21... connected.
Logging in as anonymous ... Logged in!
==> SYST ... done.    ==> PWD ... done.
==> TYPE I ... done.  ==> CWD (1) /pub/R/contrib/main ... done.
==> SIZE highlight_0.4.7.tar.gz ... 356443
==> PASV ... done.    ==> RETR highlight_0.4.7.tar.gz ... done.
Length: 356443 (348K) (unauthoritative)

100%[===================================================================================================================================================>] 356,443      310KB/s   in 1.1s   

2016-02-12 00:01:56 (310 KB/s) - ‘highlight_0.4.7.tar.gz’ saved [356443]



[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in R
     -highlight-debuginfo


---> This seems to be fine.

[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments

---> bogus warning.

[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

R:
[x]: The %check macro is present
[x]: Latest version is packaged.
     Note: Latest upstream version is 0.4.7, packaged version is 0.4.7

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint


---> Yeah - some weirdness that I do not understand yet.

I can install the package without issues. 

$ rpmlint R-highlight-0.4.7-1.fc24.src.rpm R-highlight
R-highlight.src: W: invalid-url Source0: ftp://cran.r-project.org/pub/R/contrib/main/highlight_0.4.7.tar.gz <urlopen error ftp error: timeout('timed out',)>
2 packages and 0 specfiles checked; 0 errors, 1 warnings.


invalid-url warning is bogus.


[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.14 starting (python version = 3.5.1)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled ccache
Mock Version: 1.2.14
INFO: Mock Version: 1.2.14
Finish: chroot init
INFO: installing package(s): /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1305333-R-highlight/results/R-highlight-0.4.7-1.fc24.x86_64.rpm /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1305333-R-highlight/results/R-highlight-debuginfo-0.4.7-1.fc24.x86_64.rpm /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1305333-R-highlight/results/R-highlight-debuginfo-0.4.7-1.fc24.x86_64.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 24 --setopt=deltarpm=false install /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1305333-R-highlight/results/R-highlight-0.4.7-1.fc24.x86_64.rpm /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1305333-R-highlight/results/R-highlight-debuginfo-0.4.7-1.fc24.x86_64.rpm /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1305333-R-highlight/results/R-highlight-debuginfo-0.4.7-1.fc24.x86_64.rpm --setopt=tsflags=nocontexts


Rpmlint
-------
Checking: R-highlight-0.4.7-1.fc24.x86_64.rpm
          R-highlight-debuginfo-0.4.7-1.fc24.x86_64.rpm
          R-highlight-0.4.7-1.fc24.src.rpm
R-highlight.src: W: invalid-url Source0: ftp://cran.r-project.org/pub/R/contrib/main/highlight_0.4.7.tar.gz <urlopen error ftp error: timeout('timed out',)>
3 packages and 0 specfiles checked; 0 errors, 1 warnings.




Requires
--------
R-highlight (rpmlib, GLIBC filtered):
    R-core(x86-64)
    libR.so()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    rtld(GNU_HASH)

R-highlight-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
R-highlight:
    R-highlight
    R-highlight(x86-64)

R-highlight-debuginfo:
    R-highlight-debuginfo
    R-highlight-debuginfo(x86-64)



Unversioned so-files
--------------------
R-highlight: /usr/lib64/R/library/highlight/libs/highlight.so

Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1305333
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, R, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 2 Mukundan Ragavan 2016-02-11 19:03:49 EST
Scratch build - http://koji.fedoraproject.org/koji/taskinfo?taskID=12947547
Comment 3 Mukundan Ragavan 2016-02-11 19:04:13 EST
All seems to be well here. Package APPROVED.
Comment 4 Upstream Release Monitoring 2016-02-11 19:12:39 EST
nonamedotc's scratch build of R-highlight-0.4.7-1.fc24.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12947547
Comment 5 Gwyn Ciesla 2016-02-12 07:09:10 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/R-highlight
Comment 6 Fedora Update System 2016-02-12 08:49:26 EST
R-highlight-0.4.7-1.fc23 R-inline-0.3.14-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5c7fbfc747
Comment 7 Fedora Update System 2016-02-12 08:49:27 EST
R-highlight-0.4.7-1.fc22 R-inline-0.3.14-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b3d572c4db
Comment 8 Fedora Update System 2016-02-12 08:49:29 EST
R-highlight-0.4.7-1.fc22 R-inline-0.3.14-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b3d572c4db
Comment 9 Fedora Update System 2016-02-14 23:53:06 EST
R-highlight-0.4.7-1.fc22, R-inline-0.3.14-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b3d572c4db
Comment 10 Fedora Update System 2016-02-15 00:24:50 EST
R-highlight-0.4.7-1.fc23, R-inline-0.3.14-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5c7fbfc747
Comment 11 Fedora Update System 2016-02-22 15:50:02 EST
R-highlight-0.4.7-1.fc22, R-inline-0.3.14-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2016-02-22 20:24:43 EST
R-highlight-0.4.7-1.fc23, R-inline-0.3.14-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2016-02-23 17:08:02 EST
R-RInside-0.2.13-1.el7 R-Rcpp-0.12.3-3.el7 R-littler-0.3.0-1.el7 R-inline-0.3.14-1.el7 R-highlight-0.4.7-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-9ad155732b
Comment 14 Fedora Update System 2016-02-23 17:08:03 EST
R-RInside-0.2.13-1.el6 R-Rcpp-0.12.3-3.el6 R-littler-0.3.0-1.el6 R-inline-0.3.14-1.el6 R-highlight-0.4.7-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-359b7ddb9a
Comment 15 Fedora Update System 2016-02-25 08:18:08 EST
R-RInside-0.2.13-1.el6, R-Rcpp-0.12.3-3.el6, R-highlight-0.4.7-1.el6, R-inline-0.3.14-1.el6, R-littler-0.3.0-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-359b7ddb9a
Comment 16 Fedora Update System 2016-02-25 08:21:10 EST
R-RInside-0.2.13-1.el7, R-Rcpp-0.12.3-3.el7, R-highlight-0.4.7-1.el7, R-inline-0.3.14-1.el7, R-littler-0.3.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-9ad155732b
Comment 17 Fedora Update System 2016-03-12 14:58:47 EST
R-RInside-0.2.13-1.el7, R-Rcpp-0.12.3-3.el7, R-highlight-0.4.7-1.el7, R-inline-0.3.14-1.el7, R-littler-0.3.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2016-03-14 15:25:56 EDT
R-RInside-0.2.13-1.el6, R-Rcpp-0.12.3-3.el6, R-highlight-0.4.7-1.el6, R-inline-0.3.14-1.el6, R-littler-0.3.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.